Subject: RE: "problem in exporting variables to sub-make in b18"
From: [email-masked] (McCollister, Mike)

7 Oct 1997 14:13:14 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked], "[email-masked]'" <[email-masked]>

> Anna,
> 
I found a similar problem. However, I think that your problem can be
fixed using the following code (not that I did not test it).

> Makefile
> --------
> 
> all:
	TEST=yes           <= changed here
	export TEST        <= changed here
> 	$(MAKE) -f new.mak
> 
> new.mak
> ----------
> 
> result:
> 	echo $(TEST)
> 
> -----------------------------------------------
> 
Note that the spaces have been removed on the assignment of test and
that it was placed in "all:" so that it becomes a shell assignment.

Michael J. McCollister, Systems Engineer
	Northrop Grumman
	Melbourne, Florida
	Phone: (407) 726-7862
	E-Mail: [email-masked]

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Sent: 	Monday, October 06, 1997 4:02 PM
> To: 	[email-masked]
> Subject: 	"problem in exporting variables to sub-make in b18"
> 
> I am not able to export variables to the sub-make using the export
> directive. Here is the test case
> 
> Makefile
> --------
> 
> export TEST = yes
> all:
> 	$(MAKE) -f new.mak
> 
> new.mak
> ----------
> 
> result:
> 	echo $(TEST)
> 
> -----------------------------------------------
> 
> Here i have Makefile and new.mak as two mak files. I tried this on
> UNIX 
> with b18 and it did work but did not work on the NT with same version 
> of gmake.
> 
> Could you please investigate the problem or give me pointers to where
> i 
> look to fix this error.
> 
> Thanks,
> Anna.
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".